\name{blasctl-package}
\alias{blasctl-package}
\alias{blasctl}
\alias{blas_set_num_threads}
\alias{blas_get_num_procs}
\alias{omp_set_num_threads}
\alias{omp_get_max_threads}
\alias{omp_get_num_procs}

\docType{package}
\title{
BLAS(GotoBLAS,MKL,ACML) threads control
}
\description{
BLAS(GotoBLAS,MKL,ACML) threads control
}
\usage{
blas_set_num_threads(num)
blas_get_num_procs()
omp_set_num_threads(num)
omp_get_max_threads()
omp_get_num_procs()
}
\arguments{
  \item{num}{ number of threads.}
}
\details{
\tabular{ll}{
Package: \tab blasctl\cr
Type: \tab Package\cr
Version: \tab 0.1\cr
Date: \tab 2010-12-08\cr
License: \tab AGPL-3\cr
LazyLoad: \tab yes\cr
}
}
\author{
Ei-ji Nakama
Maintainer: Ei-ji Nakama <nakama@ki.rim.or.jp>
}
\examples{
blas_set_num_threads(1)
blas_get_num_procs()
omp_set_num_threads(1)
omp_get_max_threads()
omp_get_num_procs()
}
